{% extends 'layout.html' %}

{% block content %}
<div class="flex flex-col gap-8 py-8">
    <!-- Product Image and Details -->
    <div class="grid grid-cols-1 md:grid-cols-2 gap-8 items-center">
        <!-- Product Image -->
        <div class="flex justify-center">
            {% if product['picture'] %}
                <img class="max-w-64 max-h-64 rounded-lg shadow-lg" src="https://api.tuks.dev{{ product['picture'] }}" alt="{{ product['name'] }}">
            {% else %}
                <div class="w-64 h-64 rounded-lg bg-yellow flex items-center justify-center text-grey-dark text-xl">
                    No Image
                </div>
            {% endif %}
        </div>

        <!-- Product Details -->
        <div class="flex flex-col gap-4 text-lg">
            <h1 class="text-3xl text-yellow font-bold">{{ product['name'] }}</h1>
            <p class="text-white"><span class="font-semibold">Price:</span> € {{ "€ %.2f"|format(product['price'] * session['discount']) }}</p>
            <p class="text-white"><span class="font-semibold">Type:</span> {{ product['type']|capitalize }}</p>
            <p class="text-white"><span class="font-semibold">Stock:</span> 
                {% if product['stock'] > 0 %}
                    {{ product['stock'] }}
                {% else %}
                    <span class="text-red-500">Out of stock</span>
                {% endif %}
            </p>
            <p class="text-white"><span class="font-semibold">Prohibited:</span> 
                {% if product['prohibited'] %}
                    <span class="text-red-500">Yes</span>
                {% else %}
                    No
                {% endif %}
            </p>
        </div>
    </div>

    <!-- Additional Product Information -->
    {% if openfoodfacts %}
        <div class="mt-8">
            <h2 class="text-2xl text-yellow font-bold">Additional Information</h2>
            <div class="flex flex-col gap-4 bg-grey-light p-6 rounded-lg shadow-lg">
                <p class="text-white"><span class="font-semibold">Ingredients:</span> {{ openfoodfacts['ingredients'] or 'Not available' }}</p>
                <p class="text-white"><span class="font-semibold">Brands:</span> {{ openfoodfacts['brands'] or 'Not available' }}</p>
                <p class="text-white"><span class="font-semibold">Allergens:</span> {{ openfoodfacts['allergens'] or 'Not available' }}</p>
                <p class="text-white"><span class="font-semibold">Halal:</span> {{ openfoodfacts['halal'] or 'Not available' }}</p>
                <p class="text-white"><span class="font-semibold">Vegetarian:</span> {{ openfoodfacts['vegetarian'] or 'Not available' }}</p>
                <p class="text-white"><span class="font-semibold">Nutrition Score:</span> {% if openfoodfacts['nutriscore'] %} <img src="https://static.openfoodfacts.org/images/attributes/dist/nutriscore-{{ openfoodfacts['nutriscore'] }}-new-en.svg" alt="nutrition-score-img" class="nutrition-score-img"> {% else %} Unknown {% endif %}</p>
            </div>
        </div>
    {% endif %}
</div>
{% endblock content %}
